package com.ruoyi.ie.mapper;


import com.ruoyi.ie.domain.Subject;

import java.util.List;

/**
 * 科目Mapper接口
 *
 * @author mingxue
 * @date 2021-06-06
 */
public interface SubjectMapper
{
    /**
     * 查询科目
     *
     * @param subjectid 科目ID
     * @return 科目
     */
    public Subject selectSubjectById(Long subjectid);

    /**
     * 查询科目列表
     *
     * @param subject 科目
     * @return 科目集合
     */
    public List<Subject> selectSubjectList(Subject subject);
    public List<Subject> selectSubjectListBack(Subject subject);

    /**
     * 新增科目
     *
     * @param subject 科目
     * @return 结果
     */
    public int insertSubject(Subject subject);

    /**
     * 修改科目
     *
     * @param subject 科目
     * @return 结果
     */
    public int updateSubject(Subject subject);

    /**
     * 删除科目
     *
     * @param subjectid 科目ID
     * @return 结果
     */
    public int deleteSubjectById(Long subjectid);

    /**
     * 批量删除科目
     *
     * @param subjectids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSubjectByIds(Long[] subjectids);

    List<Subject> getQuestionsSubject(Integer phaseId);
}
